# tildemush handbook

This handbook will serve as a reference for
[tilde.town](https://tilde.town)'s tildemush virtual community, lead
by [vilmibm](https://tilde.town/~vilmibm/).  It is intended for new
and experienced users who have an account on
[tilde.town](https://tilde.town). This handbook will provide an
introduction to tildemush, understanding the interface, using
tildemush, and the WITCH scripting language.

<!-- Note to self: Everytime the TOC is generated, change the "Table
of Contents" to an H1, and remove the title of the document" -->

<!-- markdown-toc start - Don't edit this section. Run M-x markdown-toc-refresh-toc -->
# Table of Contents

- [Quick start](#quick-start)
- [What is tildemush?](#what-is-tildemush)
    - [Description](#description)
    - [Background](#background)
- [Getting started](#getting-started)
    - [Conventions used in this handbook](#conventions-used-in-this-handbook)
    - [Requirements](#requirements)
        - [Platforms](#platforms)
        - [Software](#software)
    - [Starting tildemush](#starting-tildemush)
- [Understanding the interface](#understanding-the-interface)
- [Using tildemush](#using-tildemush)
- [Scripting with WITCH](#scripting-with-witch)
- [More information](#more-information)

<!-- markdown-toc end -->

<!-- References
23:28 <vilmibm> m455: re: the conversation in tush: it's a little hard to read but you can get a good idea of what WITCH provides here:
                https://github.com/vilmibm/tildemush/blob/master/server/tmserver/witch_header.hy
23:29 <vilmibm> there are also functioning WITCH examples in the test suite, for example,
                https://github.com/vilmibm/tildemush/blob/master/server/tmserver/tests/game_object_test.py#L160
23:30 <vilmibm> (why a common test game object is a horse named Snoozy is a memory I have since lost)
-->

# Quick start

This section is for people who have a [tilde.town](https://tilde.town)
account, and are comfortable with what they know about tildemush, but
need a few commands to get them started.

1. `ssh` into [tilde.town](https://tilde.town)

2. Run `tmclient`

3. Use the `up-arrow`, `down-arrow`, and `enter-key` to login or register

**Caution !!** - tildemush's database may be wiped, because it is
still under development. This means that anything you create, may be
deleted.

# What is tildemush?

## Description

## Background

# Getting started

## Conventions used in this handbook

* **Note ++** - Notes signify additional information
* **Tip >>** - Tips signify an alternate procedure for completing a step
* **Caution !!** - Cautions signify that damage may occur
* **Example** - Examples provide a visual reference of how a procedure would be performed
* `Inline code` - Inline code signifies package names, filenames, commands, and keyboard keys
* ```Code block - Code blocks signify file contents, or an interface element```

## Requirements

### Platforms

### Software

## Starting tildemush

# Understanding the interface

# Using tildemush

# Scripting with WITCH

# More information
